org.apache.tinkerpop.gremlin.driver.ser

## Class GraphSONMessageSerializerGremlinV2d0

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer
  - - org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV2d0
    - - org.apache.tinkerpop.gremlin.driver.ser.GraphSONMessageSerializerGremlinV2d0

- All Implemented Interfaces:
    MessageSerializer

      public final class GraphSONMessageSerializerGremlinV2d0
      extends AbstractGraphSONMessageSerializerV2d0

  Serialize results to JSON with version 2.0.x schema and the extended module.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV2d0

      `AbstractGraphSONMessageSerializerV2d0.GremlinServerModule, AbstractGraphSONMessageSerializerV2d0.JsonBuilderJacksonSerializer, AbstractGraphSONMessageSerializerV2d0.RequestMessageDeserializer, AbstractGraphSONMessageSerializerV2d0.RequestMessageSerializer, AbstractGraphSONMessageSerializerV2d0.ResponseMessageDeserializer, AbstractGraphSONMessageSerializerV2d0.ResponseMessageSerializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV2d0

      `mapper, mapTypeReference, TOKEN_USE_MAPPER_FROM_GRAPH`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer

      `TOKEN_IO_REGISTRIES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphSONMessageSerializerGremlinV2d0()`
    `GraphSONMessageSerializerGremlinV2d0(GraphSONMapper mapper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `mimeTypesSupported()` The list of mime types that the serializer supports.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV2d0

      `configure, deserializeRequest, deserializeResponse, serializeRequestAsBinary, serializeResponseAsBinary`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer

      `addIoRegistries, getListStringFromConfig, tryInstanceMethod`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphSONMessageSerializerGremlinV2d0

          public GraphSONMessageSerializerGremlinV2d0()

    - #### GraphSONMessageSerializerGremlinV2d0

          public GraphSONMessageSerializerGremlinV2d0(GraphSONMapper mapper)

  - ### Method Detail

    - #### mimeTypesSupported

          public String[] mimeTypesSupported()

      Description copied from interface: `MessageSerializer`
      The list of mime types that the serializer supports.

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.